clear all; close all; clc

s = 'http://byu.apmonitor.com';
a = 'luus';

addpath('apm')
apm(s,a,'clear all');
apm_load(s,a,[a '.apm']);
csv_load(s,a,[a '.csv']);

apm_option(s,a,'nlc.nodes',2);
apm_option(s,a,'nlc.solver',3);
apm_option(s,a,'nlc.imode',6);
apm_option(s,a,'nlc.mv_type',1);

apm_info(s,a,'MV','u');
apm_option(s,a,'u.status',1);
apm_option(s,a,'u.dcost',1e-5);

output = apm(s,a,'solve');
disp(output)
y = apm_sol(s,a);
z = y.x;

disp(['Optimal Solution: ' num2str(z.myobj(end))])

figure(1)
plot(z.time,z.x,'b--','linewidth',2)
hold on
plot(z.time,z.u,'r.-','linewidth',2)
legend('x','u')
ylabel('Variables')
xlabel('Time')
